Debian Bug report logs - #405212
ITP: x264 -- free library for encoding H264/AVC video streams

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>

Date: Mon, 1 Jan 2007 21:48:02 UTC

Owned by: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>

Severity: wishlist

Fixed in version x264/2:0.116.2037+gitf8ebd4a-1

Done: Andres Mejia <amejia@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#405212; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@stusta.de>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@stusta.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: libx264 -- free library for encoding H264/AVC video streams.
Date: Mon, 01 Jan 2007 22:37:14 +0100
Package: wnpp
Severity: wishlist


Package name    : libx264
URL             : http://developers.videolan.org/x264.html
License         : GPL
Description     : free library for encoding H264/AVC video streams.



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#405212; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian.greffrath@web.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 405212@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian.greffrath@web.de>
To: 405212@bugs.debian.org
Cc: daniel@debian.org, bunk@stusta.de
Subject: RFP: libx264 -- free library for encoding H264/AVC video streams.
Date: Tue, 02 Jan 2007 07:09:58 +0100
> Package name    : libx264
> URL             : http://developers.videolan.org/x264.html
> License         : GPL
> Description     : free library for encoding H264/AVC video streams.

I have already prepared packages for the Debian Unofficial repository [1] 
which are a bit outdated though, but I am going to package more recent 
versions soon.

[1] http://ftp-master.debian-unofficial.org/debian-archive/packages/x264/




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#405212; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@stusta.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 405212@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@stusta.de>
To: Fabian Greffrath <fabian.greffrath@web.de>
Cc: 405212@bugs.debian.org, daniel@debian.org
Subject: Re: RFP: libx264 -- free library for encoding H264/AVC video streams.
Date: Tue, 2 Jan 2007 07:25:29 +0100
On Tue, Jan 02, 2007 at 07:09:58AM +0100, Fabian Greffrath wrote:
> > Package name    : libx264
> > URL             : http://developers.videolan.org/x264.html
> > License         : GPL
> > Description     : free library for encoding H264/AVC video streams.
> 
> I have already prepared packages for the Debian Unofficial repository [1] 
> which are a bit outdated though, but I am going to package more recent 
> versions soon.
> 
> [1] http://ftp-master.debian-unofficial.org/debian-archive/packages/x264/

There are already pretty current packages available at [1], but as long 
as it's not in Debian other packages in Debian can't be compiled with
libx264 (or have to continue to ship their own copy of libx264).

cu
Adrian

[1] http://www.debian-multimedia.org/pool/main/x/x264/

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#405212; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Christian Marillat <marillat@free.fr>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #20 received at 405212@bugs.debian.org (full text, mbox):

From: Christian Marillat <marillat@free.fr>
To: Adrian Bunk <bunk@stusta.de>
Cc: 405212@bugs.debian.org, Fabian Greffrath <fabian.greffrath@web.de>, daniel@debian.org
Subject: Re: Bug#405212: RFP: libx264 -- free library for encoding H264/AVC video streams.
Date: Tue, 02 Jan 2007 11:07:34 +0100
Adrian Bunk <bunk@stusta.de> writes:

> On Tue, Jan 02, 2007 at 07:09:58AM +0100, Fabian Greffrath wrote:
>> > Package name    : libx264
>> > URL             : http://developers.videolan.org/x264.html
>> > License         : GPL
>> > Description     : free library for encoding H264/AVC video streams.
>> 
>> I have already prepared packages for the Debian Unofficial repository [1] 
>> which are a bit outdated though, but I am going to package more recent 
>> versions soon.
>> 
>> [1] http://ftp-master.debian-unofficial.org/debian-archive/packages/x264/
>
> There are already pretty current packages available at [1], but as long 
> as it's not in Debian other packages in Debian can't be compiled with
> libx264 (or have to continue to ship their own copy of libx264).

X264 have some patents issues :

http://bugs.debian.org/354667

And threads in legal :

http://lists.debian.org/debian-legal/2006/03/msg00031.html
http://lists.debian.org/debian-legal/2006/05/msg00004.html

Christian



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#405212; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@stusta.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #25 received at 405212@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@stusta.de>
To: Christian Marillat <marillat@free.fr>
Cc: 405212@bugs.debian.org, Fabian Greffrath <fabian.greffrath@web.de>, daniel@debian.org
Subject: Re: Bug#405212: RFP: libx264 -- free library for encoding H264/AVC video streams.
Date: Tue, 2 Jan 2007 14:21:32 +0100
On Tue, Jan 02, 2007 at 11:07:34AM +0100, Christian Marillat wrote:
> Adrian Bunk <bunk@stusta.de> writes:
> 
> > On Tue, Jan 02, 2007 at 07:09:58AM +0100, Fabian Greffrath wrote:
> >> > Package name    : libx264
> >> > URL             : http://developers.videolan.org/x264.html
> >> > License         : GPL
> >> > Description     : free library for encoding H264/AVC video streams.
> >> 
> >> I have already prepared packages for the Debian Unofficial repository [1] 
> >> which are a bit outdated though, but I am going to package more recent 
> >> versions soon.
> >> 
> >> [1] http://ftp-master.debian-unofficial.org/debian-archive/packages/x264/
> >
> > There are already pretty current packages available at [1], but as long 
> > as it's not in Debian other packages in Debian can't be compiled with
> > libx264 (or have to continue to ship their own copy of libx264).
> 
> X264 have some patents issues :
> 
> http://bugs.debian.org/354667
> 
> And threads in legal :
> 
> http://lists.debian.org/debian-legal/2006/03/msg00031.html
> http://lists.debian.org/debian-legal/2006/05/msg00004.html

Thanks for this information.

I actually sent this RFP after seeing that the Debian package of vlc 
ships a copy of libx264 and seems to use it for encoding.

If your release manager had the power to close #365389, he also has to 
have the power to allow libx264 into main.

Everything else would be complete nonsense.

> Christian

cu
Adrian

BTW: Thanks for your great packages.

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed




Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#405212; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Sam Hocevar <sam@zoy.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #32 received at 405212@bugs.debian.org (full text, mbox):

From: Sam Hocevar <sam@zoy.org>
To: 405212@bugs.debian.org
Subject: Re: RFP: libx264 -- free library for encoding H264/AVC video streams.
Date: Sat, 10 Mar 2007 02:31:31 +0100
   Hi there.

   Given that I'm also upstream for x264, I'd prefer to maintain it. My
packages are at svn://svn.videolan.org/pkg-multimedia/unstable/x264 .

Regards,
-- 
Sam.



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#405212; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #37 received at 405212@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Sam Hocevar <sam@zoy.org>, 405212@bugs.debian.org
Subject: Re: Bug#405212: RFP: libx264 -- free library for encoding H264/AVC video streams.
Date: Sat, 10 Mar 2007 09:05:55 +0100
Sam Hocevar wrote:
>    Given that I'm also upstream for x264, I'd prefer to maintain it. My
> packages are at svn://svn.videolan.org/pkg-multimedia/unstable/x264 .

did you see that Fabians packages are already waiting in NEW?

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#405212; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Sam Hocevar <sam@zoy.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #42 received at 405212@bugs.debian.org (full text, mbox):

From: Sam Hocevar <sam@zoy.org>
To: 405212@bugs.debian.org
Subject: Re: Bug#405212: RFP: libx264 -- free library for encoding H264/AVC video streams.
Date: Sat, 10 Mar 2007 12:37:23 +0100
On Sat, Mar 10, 2007, Daniel Baumann wrote:
> Sam Hocevar wrote:
> >    Given that I'm also upstream for x264, I'd prefer to maintain it. My
> > packages are at svn://svn.videolan.org/pkg-multimedia/unstable/x264 .
> 
> did you see that Fabians packages are already waiting in NEW?

   Then why was I or other upstreams never contacted? At least to
enquire about the ABI/API evolution plans. Shipping a PIC library
means that upgrades are not automatic and as the (co-)maintainer of
two x264-using packages, I don't want to deal with static libraries. I
didn't spend countless hours working on making libx264 buildable as a
shared object to see only a static version in Debian.

-- 
Sam.



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#405212; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian.greffrath@web.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #47 received at 405212@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian.greffrath@web.de>
To: 405212@bugs.debian.org
Cc: sam@zoy.org, Daniel Baumann <daniel@debian.org>
Subject: Re: Bug#405212: RFP: libx264 -- free library for encoding H264/AVC video streams.
Date: Sat, 10 Mar 2007 14:17:39 +0100
Hi Sam and Daniel,

indeed my package was meant to only build PIC static libraries. I took
Christian Marillat's packages as a prototype. One thing I remember is
that the x264 binary was not dynamically linked against the .so although
I compiled with --enable-shared, so I finally built only the static
version.

Sam, if you are also upstream for x264 and maintain x264-using packages,
I am sorry that I have not contacted you about packaging the library. 

Of course I happily hand the package over to you! ;)

Nice greetings,
Fabian





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#405212; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Christian Marillat <marillat@free.fr>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #52 received at 405212@bugs.debian.org (full text, mbox):

From: Christian Marillat <marillat@free.fr>
To: Fabian Greffrath <fabian.greffrath@web.de>
Cc: 405212@bugs.debian.org, sam@zoy.org, Daniel Baumann <daniel@debian.org>
Subject: Re: Bug#405212: RFP: libx264 -- free library for encoding H264/AVC video streams.
Date: Sat, 10 Mar 2007 17:05:24 +0100
Fabian Greffrath <fabian.greffrath@web.de> writes:

> Hi Sam and Daniel,
>
> indeed my package was meant to only build PIC static libraries. I took
> Christian Marillat's packages as a prototype. One thing I remember is
> that the x264 binary was not dynamically linked against the .so although
> I compiled with --enable-shared, so I finally built only the static
> version.

Exactly the same reason why I don't provides shared libraries.

Christian



Tags removed: pending Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. (Sat, 01 Dec 2007 11:06:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 01 Aug 2010 08:06:02 GMT) Full text and rfc822 format available.

Added indication that bug 405212 blocks 418228 Request was from Reinhard Tartler <siretart@tauware.de> to control@bugs.debian.org. (Thu, 05 Aug 2010 14:57:06 GMT) Full text and rfc822 format available.

Owner recorded as Reinhard Tartler <siretart@tauware.de>. Request was from Reinhard Tartler <siretart@tauware.de> to control@bugs.debian.org. (Thu, 05 Aug 2010 14:57:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: x264 -- free library for encoding H264/AVC video streams' from 'RFP: libx264 -- free library for encoding H264/AVC video streams.' Request was from Andres Mejia <mcitadel@gmail.com> to control@bugs.debian.org. (Sun, 26 Sep 2010 01:18:03 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>' from 'Adrian Bunk <bunk@stusta.de>' Request was from Andres Mejia <mcitadel@gmail.com> to control@bugs.debian.org. (Sun, 26 Sep 2010 01:18:03 GMT) Full text and rfc822 format available.

Owner changed from Reinhard Tartler <siretart@tauware.de> to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. Request was from Andres Mejia <mcitadel@gmail.com> to control@bugs.debian.org. (Sun, 26 Sep 2010 01:18:04 GMT) Full text and rfc822 format available.

Reply sent to Andres Mejia <amejia@debian.org>:
You have taken responsibility. (Tue, 26 Jul 2011 06:36:03 GMT) Full text and rfc822 format available.

Notification sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug acknowledged by developer. (Tue, 26 Jul 2011 06:36:03 GMT) Full text and rfc822 format available.

Message #71 received at 405212-close@bugs.debian.org (full text, mbox):

From: Andres Mejia <amejia@debian.org>
To: 405212-close@bugs.debian.org
Subject: Bug#405212: fixed in x264 2:0.116.2037+gitf8ebd4a-1
Date: Tue, 26 Jul 2011 06:32:40 +0000
Source: x264
Source-Version: 2:0.116.2037+gitf8ebd4a-1

We believe that the bug you reported is fixed in the latest version of
x264, which is due to be installed in the Debian FTP archive:

libx264-116_0.116.2037+gitf8ebd4a-1_amd64.deb
  to main/x/x264/libx264-116_0.116.2037+gitf8ebd4a-1_amd64.deb
libx264-dev_0.116.2037+gitf8ebd4a-1_amd64.deb
  to main/x/x264/libx264-dev_0.116.2037+gitf8ebd4a-1_amd64.deb
x264_0.116.2037+gitf8ebd4a-1.debian.tar.gz
  to main/x/x264/x264_0.116.2037+gitf8ebd4a-1.debian.tar.gz
x264_0.116.2037+gitf8ebd4a-1.dsc
  to main/x/x264/x264_0.116.2037+gitf8ebd4a-1.dsc
x264_0.116.2037+gitf8ebd4a-1_amd64.deb
  to main/x/x264/x264_0.116.2037+gitf8ebd4a-1_amd64.deb
x264_0.116.2037+gitf8ebd4a.orig.tar.gz
  to main/x/x264/x264_0.116.2037+gitf8ebd4a.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 405212@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andres Mejia <amejia@debian.org> (supplier of updated x264 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 25 Jul 2011 19:37:52 -0400
Source: x264
Binary: x264 libx264-116 libx264-dev
Architecture: source amd64
Version: 2:0.116.2037+gitf8ebd4a-1
Distribution: unstable
Urgency: low
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Andres Mejia <amejia@debian.org>
Description: 
 libx264-116 - x264 video coding library
 libx264-dev - development files for libx264
 x264       - video encoder for the H.264/MPEG-4 AVC standard
Closes: 405212
Changes: 
 x264 (2:0.116.2037+gitf8ebd4a-1) unstable; urgency=low
 .
   [ Andres Mejia ]
   * New upstream release. (Closes: #405212)
   * version.sh modifications no longer need to be made, an updated version.sh
     is installed in upstream tarball.
   * Shared library package is renamed to lib264-116.
   * fix-8x8dct+slices+no-sliced-threads+cavlc+deblock.patch is removed, has
     been applied upstream.
   * Add DM-Upload-Allowed: yes.
   * Convert package to 3.0 (quilt).
   * Convert packaging to dh 7.
   * Change Priority to optional.
   * Update to my @debian.org email.
   * Update VCS-* entries to new anonscm location.
   * --enable-static must be explicitly set to build static library.
   * Add proper version depends for debhelper.
   * Update debian/copyright with new license information for new upstream
     snapshot.
   * Update debian/copyright to use DEP-5 spec.
   * Add patch to do basic spell check.
   * Include all public headers in dev package.
 .
   [ Reinhard Tartler ]
   * Lower debhelper compat level to 7
   * Don't set --enable-debug, no longer a known option for ./configure.
Checksums-Sha1: 
 f14f83ecab6ecf1f7b1e4c532e352a420a011c0e 1572 x264_0.116.2037+gitf8ebd4a-1.dsc
 8bf0c63e21690c3d7d9a1171e11eb26ac910f1c3 625839 x264_0.116.2037+gitf8ebd4a.orig.tar.gz
 2473d8476f5661a7576699364762387170c1d7c7 11806 x264_0.116.2037+gitf8ebd4a-1.debian.tar.gz
 56f84b15f4a0effb6d539ce35b9ea181566c3897 459686 x264_0.116.2037+gitf8ebd4a-1_amd64.deb
 e3be779c7f9eee9dcb32617e1f93788cd9968b3e 411984 libx264-116_0.116.2037+gitf8ebd4a-1_amd64.deb
 09b7869dc482464be994a6a8da69ed0d31eaac8f 475770 libx264-dev_0.116.2037+gitf8ebd4a-1_amd64.deb
Checksums-Sha256: 
 1f8d9bb4bf0b4cc9cae82475f74cffcfbe191ff6acb03d49b5d1216d96bc2a39 1572 x264_0.116.2037+gitf8ebd4a-1.dsc
 44e09edcdc727e899fb68079a0e7fff9090d48c0a82bfb0c2c6247226ae11ff1 625839 x264_0.116.2037+gitf8ebd4a.orig.tar.gz
 3c098d4c7cdde484c4b0ac369fe71191e5b30a80f39adce2d8ddb4e90cffa499 11806 x264_0.116.2037+gitf8ebd4a-1.debian.tar.gz
 8923b0925c1dbab38e815609cb4ee14498b3e9716db2abf2c385a4b94cffbc58 459686 x264_0.116.2037+gitf8ebd4a-1_amd64.deb
 388f3dad517d7f6da2a18e4a9d41207ae20f2b7556a853bfe7b06835b3260745 411984 libx264-116_0.116.2037+gitf8ebd4a-1_amd64.deb
 5e3dd1f1942f1f12b8c603fbe7d383769e4bc2790a8b9facd3f84721d06c372d 475770 libx264-dev_0.116.2037+gitf8ebd4a-1_amd64.deb
Files: 
 34bde1e5cb4befc3c47b5dadbab115e1 1572 libs optional x264_0.116.2037+gitf8ebd4a-1.dsc
 b49f65f4bd0e3d4615b2ee923a40808a 625839 libs optional x264_0.116.2037+gitf8ebd4a.orig.tar.gz
 e4ae37693c4f4ac33a57ab5b9c3dea08 11806 libs optional x264_0.116.2037+gitf8ebd4a-1.debian.tar.gz
 63dad9a0d8a184e1c3b6b858bba707d7 459686 graphics optional x264_0.116.2037+gitf8ebd4a-1_amd64.deb
 b15948967c4a7a72c1c220d45a22f3ec 411984 libs optional libx264-116_0.116.2037+gitf8ebd4a-1_amd64.deb
 f72bab9d3ae933426bcd3790684b20a0 475770 libdevel optional libx264-dev_0.116.2037+gitf8ebd4a-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk4uAnMACgkQgsFbAuXxMZZHwwCeLDvKqQezyB7Dofz/2Fjgssyb
+IIAnjyumlrYGOUJ1CPrCeymPcpp2Xg5
=85J6
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 23 Aug 2011 07:32:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:23:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.